Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pentaho.di.job
Enum JobEntryType

    java.lang.Object
      java.lang.Enum<JobEntryType>
          org.pentaho.di.job.JobEntryType

All Implemented Interfaces:
  Serializable, Comparable<JobEntryType>

    public enum JobEntryType

extends Enum<JobEntryType>

Enum Constant Summary
`ABORT`
`ADD_RESULT_FILENAMES`
`COLUMNS_EXIST`
`CONNECTED_TO_REPOSITORY`
`COPY_FILES`
`COPY_MOVE_RESULT_FILENAMES`
`CREATE_FILE`
`CREATE_FOLDER`
`DELAY`
`DELETE_FILE`
`DELETE_FILES`
`DELETE_FOLDERS`
`DELETE_RESULT_FILENAMES`
`DTD_VALIDATOR`
`EVAL`
`EVAL_TABLE_CONTENT`
`EXPORT_REPOSITORY`
`FILE_COMPARE`
`FILE_EXISTS`
`FILES_EXIST`
`FOLDER_IS_EMPTY`
`FOLDERS_COMPARE`
`FTP`
`FTP_DELETE`
`FTP_PUT`
`GET_POP`
`HTTP`
`JOB`
`MAIL`
`MAIL_VALIDATOR`
`MOVE_FILES`
`MS_ACCESS_BULK_LOAD`
`MSGBOX_INFO`
`MSSQL_BULK_LOAD`
`MYSQL_BULK_FILE`
`MYSQL_BULK_LOAD`
`NONE`
`PING`
`SET_VARIABLES`
`SFTP`
`SFTPPUT`
`SHELL`
`SIMPLE_EVAL`
`SNMP_TRAP`
`SPECIAL`
`SQL`
`SSH2_GET`
`SSH2_PUT`
`SUCCESS`
`TABLE_EXISTS`
`TRANS`
`TRUNCATE_TABLES`
`UNZIP`
`WAIT_FOR_FILE`
`WAIT_FOR_SQL`
`WRITE_TO_LOG`
`XACTION`
`XML_WELL_FORMED`
`XSD_VALIDATOR`
`XSLT`
`ZIP_FILE`

Method Summary
`String` | `getDescription()`
`String` | `getTypeCode()`
`static JobEntryType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JobEntryType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final JobEntryType NONE

### TRANS

    public static final JobEntryType TRANS

### JOB

    public static final JobEntryType JOB

### SHELL

    public static final JobEntryType SHELL

### MAIL

    public static final JobEntryType MAIL

### SQL

    public static final JobEntryType SQL

### FTP

    public static final JobEntryType FTP

### TABLE_EXISTS

    public static final JobEntryType TABLE_EXISTS

### FILE_EXISTS

    public static final JobEntryType FILE_EXISTS

### EVAL

    public static final JobEntryType EVAL

### SPECIAL

    public static final JobEntryType SPECIAL

### SFTP

    public static final JobEntryType SFTP

### HTTP

    public static final JobEntryType HTTP

### CREATE_FILE

    public static final JobEntryType CREATE_FILE

### DELETE_FILE

    public static final JobEntryType DELETE_FILE

### WAIT_FOR_FILE

    public static final JobEntryType WAIT_FOR_FILE

### SFTPPUT

    public static final JobEntryType SFTPPUT

### FILE_COMPARE

    public static final JobEntryType FILE_COMPARE

### MYSQL_BULK_LOAD

    public static final JobEntryType MYSQL_BULK_LOAD

### MSGBOX_INFO

    public static final JobEntryType MSGBOX_INFO

### DELAY

    public static final JobEntryType DELAY

### ZIP_FILE

    public static final JobEntryType ZIP_FILE

### XSLT

    public static final JobEntryType XSLT

### MYSQL_BULK_FILE

    public static final JobEntryType MYSQL_BULK_FILE

### ABORT

    public static final JobEntryType ABORT

### GET_POP

    public static final JobEntryType GET_POP

### PING

    public static final JobEntryType PING

### DELETE_FILES

    public static final JobEntryType DELETE_FILES

### SUCCESS

    public static final JobEntryType SUCCESS

### XSD_VALIDATOR

    public static final JobEntryType XSD_VALIDATOR

### XACTION

    public static final JobEntryType XACTION

### WRITE_TO_LOG

    public static final JobEntryType WRITE_TO_LOG

### COPY_FILES

    public static final JobEntryType COPY_FILES

### DTD_VALIDATOR

    public static final JobEntryType DTD_VALIDATOR

### FTP_PUT

    public static final JobEntryType FTP_PUT

### UNZIP

    public static final JobEntryType UNZIP

### CREATE_FOLDER

    public static final JobEntryType CREATE_FOLDER

### FOLDER_IS_EMPTY

    public static final JobEntryType FOLDER_IS_EMPTY

### FILES_EXIST

    public static final JobEntryType FILES_EXIST

### FOLDERS_COMPARE

    public static final JobEntryType FOLDERS_COMPARE

### ADD_RESULT_FILENAMES

    public static final JobEntryType ADD_RESULT_FILENAMES

### DELETE_RESULT_FILENAMES

    public static final JobEntryType DELETE_RESULT_FILENAMES

### MSSQL_BULK_LOAD

    public static final JobEntryType MSSQL_BULK_LOAD

### MOVE_FILES

    public static final JobEntryType MOVE_FILES

### COPY_MOVE_RESULT_FILENAMES

    public static final JobEntryType COPY_MOVE_RESULT_FILENAMES

### XML_WELL_FORMED

    public static final JobEntryType XML_WELL_FORMED

### SSH2_GET

    public static final JobEntryType SSH2_GET

### SSH2_PUT

    public static final JobEntryType SSH2_PUT

### FTP_DELETE

    public static final JobEntryType FTP_DELETE

### DELETE_FOLDERS

    public static final JobEntryType DELETE_FOLDERS

### COLUMNS_EXIST

    public static final JobEntryType COLUMNS_EXIST

### EXPORT_REPOSITORY

    public static final JobEntryType EXPORT_REPOSITORY

### CONNECTED_TO_REPOSITORY

    public static final JobEntryType CONNECTED_TO_REPOSITORY

### TRUNCATE_TABLES

    public static final JobEntryType TRUNCATE_TABLES

### SET_VARIABLES

    public static final JobEntryType SET_VARIABLES

### MS_ACCESS_BULK_LOAD

    public static final JobEntryType MS_ACCESS_BULK_LOAD

### WAIT_FOR_SQL

    public static final JobEntryType WAIT_FOR_SQL

### EVAL_TABLE_CONTENT

    public static final JobEntryType EVAL_TABLE_CONTENT

### SIMPLE_EVAL

    public static final JobEntryType SIMPLE_EVAL

### SNMP_TRAP

    public static final JobEntryType SNMP_TRAP

### MAIL_VALIDATOR

    public static final JobEntryType MAIL_VALIDATOR

Method Detail

### values

    public static final JobEntryType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(JobEntryType c : JobEntryType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static JobEntryType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getDescription

    public String getDescription()

### getTypeCode

    public String getTypeCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD